﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SpreadJSCulture.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }


        public JsonResult GetTemplateJson(string key, string culture = "zh-cn")
        {
            if (string.IsNullOrWhiteSpace(key))
            {
                return Json("");
            }

            string name = HttpContext.Server.MapPath(@"~\templates\{0}.{1}.ssjson");
            name = string.Format(name, key, culture);

            if (System.IO.File.Exists(name))
            {
                string context = System.IO.File.ReadAllText(name);
                return Json(context, JsonRequestBehavior.AllowGet);
            }

            return Json("");
        }
    }
}